// TestingMFCView.cpp : implementation of the CTestingMFCView class
//

#include "stdafx.h"
#include "TestingMFC.h"

#include "TestingMFCDoc.h"
#include "TestingMFCView.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CTestingMFCView

IMPLEMENT_DYNCREATE(CTestingMFCView, CFormView)

BEGIN_MESSAGE_MAP(CTestingMFCView, CFormView)
END_MESSAGE_MAP()

// CTestingMFCView construction/destruction

CTestingMFCView::CTestingMFCView()
	: CFormView(CTestingMFCView::IDD)
{
	// TODO: add construction code here

}

CTestingMFCView::~CTestingMFCView()
{
}

void CTestingMFCView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_TAB, m_MyTab);
}

BOOL CTestingMFCView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CFormView::PreCreateWindow(cs);
}

void CTestingMFCView::OnInitialUpdate()
{
	CFormView::OnInitialUpdate();
	GetParentFrame()->RecalcLayout();
	ResizeParentToFit();

	m_Dlg1 = new CDlg1;
	m_Dlg1->Create(CDlg1::IDD, &m_MyTab);
	m_MyTab.AddTab(m_Dlg1, L"Dlg1", 0);

	m_Dlg2 = new CDlg2;
	m_Dlg2->Create(CDlg2::IDD, &m_MyTab);
	m_MyTab.AddTab(m_Dlg2, L"Dlg2", 1);

	m_MyTab.SetSelectedColor(RGB(0,0,255));
	m_MyTab.SetMouseOverColor(RGB(255,0,0));
	
}


// CTestingMFCView diagnostics

#ifdef _DEBUG
void CTestingMFCView::AssertValid() const
{
	CFormView::AssertValid();
}

void CTestingMFCView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}

CTestingMFCDoc* CTestingMFCView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CTestingMFCDoc)));
	return (CTestingMFCDoc*)m_pDocument;
}
#endif //_DEBUG


// CTestingMFCView message handlers
