// TestingMFCView.h : interface of the CTestingMFCView class
//


#pragma once
#include "afxcmn.h"

#include "MyTabCtrl.h"
#include "Dlg1.h"
#include "Dlg2.h"

class CTestingMFCView : public CFormView
{
protected: // create from serialization only
	CTestingMFCView();
	DECLARE_DYNCREATE(CTestingMFCView)

public:
	enum{ IDD = IDD_TESTINGMFC_FORM };

// Attributes
public:
	CTestingMFCDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CTestingMFCView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	CMyTabCtrl m_MyTab;
	CDlg1	*m_Dlg1;
	CDlg2	*m_Dlg2;
};

#ifndef _DEBUG  // debug version in TestingMFCView.cpp
inline CTestingMFCDoc* CTestingMFCView::GetDocument() const
   { return reinterpret_cast<CTestingMFCDoc*>(m_pDocument); }
#endif

